pcl::visualization::PCLImageCanvasSource2D Class Reference

PCLImageCanvasSource2D represents our own custom version of vtkImageCanvasSource2D, used by the ImageViewer class. More...

`#include <pcl/visualization/vtk/pcl_image_canvas_source_2d.h>`

Inheritance diagram for pcl::visualization::PCLImageCanvasSource2D:

## Public Member Functions

void | DrawImage (vtkImageData *image)

## Static Public Member Functions

static PCLImageCanvasSource2D * | New ()

## Detailed Description

PCLImageCanvasSource2D represents our own custom version of vtkImageCanvasSource2D, used by the ImageViewer class.

Definition at line 51 of file pcl_image_canvas_source_2d.h.

## Member Function Documentation

## DrawImage()

void pcl::visualization::PCLImageCanvasSource2D::DrawImage | ( | vtkImageData * | image | ) |

## New()

static PCLImageCanvasSource2D* pcl::visualization::PCLImageCanvasSource2D::New | ( |  | ) |

static

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/vtk/pcl_image_canvas_source_2d.h